com.h3c.sdn.teamconfig

## Class TeamConfig<T extends SystemConfigReq>

- java.lang.Object
- - com.h3c.sdn.teamconfig.TeamConfig<T>

- Type Parameters:
    `T` - system information (SystemConfigReq/SystemConfigRsp)

      public class TeamConfig<T extends SystemConfigReq>
      extends Object

  Descriptor holding the basic information to represent a team.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeamConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `IpAddress` | `getExtIp()` Gets the team external IP address.
    `String` | `getName()` Gets the team name.
    `List<T>` | `getSystems()` Gets the configuration of all the systems in a team.
    `String` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setExtIp(IpAddress extIpAddr)` Sets the team external IP address.
    `void` | `setName(String name)` Sets the team name.
    `void` | `setSystems(List<T> systems)` Sets the system configuration list.
    `void` | `setVersion(String version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TeamConfig

          public TeamConfig()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the team name.
      Returns:
        the team name

    - #### setName

          public void setName(String name)

      Sets the team name.
      Parameters:
        `name` - the team name to set

    - #### getExtIp

          public IpAddress getExtIp()

      Gets the team external IP address.
      Returns:
        the team external IP address

    - #### setExtIp

          public void setExtIp(IpAddress extIpAddr)

      Sets the team external IP address.
      Parameters:
        `extIpAddr` - the team external IP address

    - #### getVersion

          public String getVersion()

      Returns:
        the version

    - #### setVersion

          public void setVersion(String version)

      Parameters:
        `version` - the version to set

    - #### getSystems

          public List<T> getSystems()

      Gets the configuration of all the systems in a team.
      Returns:
        system configuration list

    - #### setSystems

          public void setSystems(List<T> systems)

      Sets the system configuration list.
      Parameters:
        `systems` - the system configuration list

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.